git.lirion.de

Of git, get, and gud

aboutsummaryrefslogtreecommitdiffstats
path: root/.bash/exec.bash
diff options
context:
space:
mode:
authorHarald Pfeiffer <coding _ lirion.de> 2022-03-24 09:06:01 +0100
committerHarald Pfeiffer <coding _ lirion.de> 2022-03-24 09:06:01 +0100
commit5da59c47bdcdd5f68e1a9429f42ead2e60a5a8dc (patch)
tree01b68cd8e1e1d7aac6a573d4c32eb9a8bce6e394 /.bash/exec.bash
parent4cf81cc3728df471e50e5aea7a3a92772650109d (diff)
downloaddotfiles-5da59c47bdcdd5f68e1a9429f42ead2e60a5a8dc.tar.bz2
make initial dirmngr launch silent
Diffstat (limited to '.bash/exec.bash')
-rw-r--r--.bash/exec.bash4
1 files changed, 3 insertions, 1 deletions
diff --git a/.bash/exec.bash b/.bash/exec.bash
index 24b3ee9..316d1c4 100644
--- a/.bash/exec.bash
+++ b/.bash/exec.bash
@@ -11,7 +11,9 @@ if echo "${SSHAGH[@]}" | grep -F --word-regexp "$(hostname -f)" > /dev/null;then
# do not launch from SSH session, conflicts with user logging on locally afterwards
if [ -z "$SSH_TTY" ];then
"$HOME/bin/ssh-agent-launcher" -q
- gpg-connect-agent --dirmngr /bye
+ if ! ps -fp "$(pgrep -d, -x dirmngr)" | grep "^$(whoami)" > /dev/null
+ gpg-connect-agent --dirmngr /bye 2>/dev/null
+ fi
fi
fi